<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1, user-scalable=no">
  <meta name="description" content="wialon library API docs, for the Dart programming language.">
  <title>wialon library - Dart API</title>


  
  <link rel="preconnect" href="https://fonts.gstatic.com">
  <link href="https://fonts.googleapis.com/css2?family=Roboto+Mono:ital,wght@0,300;0,400;0,500;0,700;1,400&display=swap" rel="stylesheet">
  <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
  
  <link rel="stylesheet" href="../static-assets/github.css?v1">
  <link rel="stylesheet" href="../static-assets/styles.css?v1">
  <link rel="icon" href="../static-assets/favicon.png?v1">

  
</head>


<body data-base-href="../"
      data-using-base-href="false">

<div id="overlay-under-drawer"></div>

<header id="title">
  <button id="sidenav-left-toggle" type="button">&nbsp;</button>
  <ol class="breadcrumbs gt-separated dark hidden-xs">
    <li><a href="../index.html">wialon</a></li>
    <li class="self-crumb">wialon library</li>
  </ol>
  <div class="self-name">wialon</div>
  <form class="search navbar-right" role="search">
    <input type="text" id="search-box" autocomplete="off" disabled class="form-control typeahead" placeholder="Loading search...">
  </form>
</header>

<main>


  <div id="dartdoc-main-content" class="main-content">
      <div>
<h1><span class="kind-library">wialon</span> library 
    <a href="https://dart.dev/null-safety" class="feature feature-null-safety" title="Supports the null safety language feature.">Null safety</a>
 
</h1></div>

    


    <section class="summary offset-anchor" id="classes">
      <h2>Classes</h2>

      <dl>
        <dt id="WialonSdk">
  <span class="name "><a href="../wialon/WialonSdk-class.html">WialonSdk</a></span> 

</dt>
<dd>
  Wialon SDK for dart
Documentation available at <a href="https://sdk.wialon.com/wiki/en/sidebar/remoteapi/apiref/apiref">https://sdk.wialon.com/wiki/en/sidebar/remoteapi/apiref/apiref</a>
</dd>

      </dl>
    </section>








    <section class="summary offset-anchor" id="exceptions">
      <h2>Exceptions / Errors</h2>

      <dl>
        <dt id="SdkException">
  <span class="name "><a href="../wialon/SdkException-class.html">SdkException</a></span> 

</dt>
<dd>
  
</dd>

        <dt id="WialonError">
  <span class="name "><a href="../wialon/WialonError-class.html">WialonError</a></span> 

</dt>
<dd>
  
</dd>

      </dl>
    </section>

  </div> <!-- /.main-content -->

  <div id="dartdoc-sidebar-left" class="sidebar sidebar-offcanvas-left">
    <header id="header-search-sidebar" class="hidden-l">
  <form class="search-sidebar" role="search">
    <input type="text" id="search-sidebar" autocomplete="off" disabled class="form-control typeahead" placeholder="Loading search...">
  </form>
</header>

<ol class="breadcrumbs gt-separated dark hidden-l" id="sidebar-nav">
  <li><a href="../index.html">wialon</a></li>
  <li class="self-crumb">wialon library</li>
</ol>


    <h5><span class="package-name">wialon</span> <span class="package-kind">package</span></h5>
    <ol>
      <li class="section-title">Libraries</li>
      <li><a href="../wialon/wialon-library.html">wialon</a></li>
</ol>

  </div>

  <div id="dartdoc-sidebar-right" class="sidebar sidebar-offcanvas-right">
    <h5>wialon library</h5>
    <ol>
  <li class="section-title"><a href="../wialon/wialon-library.html#classes">Classes</a></li>
  <li><a href="../wialon/WialonSdk-class.html">WialonSdk</a></li>








  <li class="section-title"><a href="../wialon/wialon-library.html#exceptions">Exceptions</a></li>
  <li><a href="../wialon/SdkException-class.html">SdkException</a></li>
  <li><a href="../wialon/WialonError-class.html">WialonError</a></li>
</ol>

  </div><!--/sidebar-offcanvas-right-->

</main>

<footer>
  <span class="no-break">
    wialon
      2.0.3
  </span>

  
</footer>



<script src="../static-assets/highlight.pack.js?v1"></script>
<script src="../static-assets/script.js?v1"></script>



</body>

</html>

